Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 12-10-2019 20:23:56

vlotho
Membre
Inscription : 01-03-2013

[Résolu] Mise à jour libc6

Salut,

J’ai un souci, lorsque je prend la main sur debian 8 en ssh, dès que je me connecte il me met une erreur comme quoi il n’arrive pas à résoudre l’hostname. jusque là ça va, je le définit avec la commande hostname et je le modifie dans le /etc/hosts.
Ensuite dès que je fais un update, j’ai un warning concernant une clé gpg. J’importe la clé et tous rentre dans l’ordre.
Mais quand je lance un upgrade il me met :

Preparing to unpack .../libc6_2.19-18+deb8u10_amd64.deb ... /var/lib/dpkg/tmp.ci/preinst: 381: [: Illegal number: /var/lib/dpkg/tmp.ci/preinst: 18: /var/lib/dpkg/tmp.ci/preinst: arithmetic expression: expecting primary: "4 * 10000 + 14 * 100 + " dpkg: error processing archive /var/cache/apt/archives/libc6_2.19-18+deb8u10_amd64.deb (--unpack): subprocess new pre-installation script returned error exit status 2 Errors were encountered while processing: /var/cache/apt/archives/libc6_2.19-18+deb8u10_amd64.deb E: Sub-process /usr/bin/dpkg returned an error code (1)

j’ai essayé déjà quelque manip mais je n’arrive pas à résoudre cette erreur.

Dernière modification par vlotho (12-10-2019 22:24:11)

Hors ligne

#2 12-10-2019 20:59:09

raleur
Membre
Inscription : 03-10-2014

Re : [Résolu] Mise à jour libc6

Quelle est la version du noyau affichée par "uname -r" ? Si c'est 4.14, d'où provient ce noyau ?

Il vaut mieux montrer que raconter.

Hors ligne

#3 12-10-2019 21:14:36

vlotho
Membre
Inscription : 01-03-2013

Re : [Résolu] Mise à jour libc6

C'est une machine virtuelle proposé via l'application LinuxCenter des NAS Asustor, mais ça reste une debian ... linux ... ça fonctionne de la même façon et il y a à priori pas de problèmes particuliers lors des mises à jour par les autres utilisateurs.
C'est une version jessie.

Hors ligne

#4 12-10-2019 21:16:07

raleur
Membre
Inscription : 03-10-2014

Re : [Résolu] Mise à jour libc6

Et si tu répondais simplement à la question ?

Il vaut mieux montrer que raconter.

Hors ligne

#5 12-10-2019 21:23:03

vlotho
Membre
Inscription : 01-03-2013

Re : [Résolu] Mise à jour libc6

Il me semble que la réponse est simple .... si j'ai répondu ça c'est que effectivement c'était une version 4.14, sinon j'aurais donné la version.

Hors ligne

#6 12-10-2019 21:35:38

raleur
Membre
Inscription : 03-10-2014

Re : [Résolu] Mise à jour libc6

L'ennui, c'est qu'apparemment le script preinst du paquet libc6 ne s'attend pas à ce que la version du noyau ait seulement deux nombres. Toutes les versions de noyau de Debian en ont trois. Un contournement possible serait de soit bidouiller ce script preinst, soit utiliser un version alternative de uname qui renvoie une version à 3 nombres.

Il vaut mieux montrer que raconter.

Hors ligne

#7 12-10-2019 21:43:57

vlotho
Membre
Inscription : 01-03-2013

Re : [Résolu] Mise à jour libc6

Effectivement le uname -r renvoi:
root@LinuxCenter:~# uname -r
4.14.x

Pour la deuxième solution, la version alternative de uname, ça pourrait se faire comment ?

Hors ligne

#8 12-10-2019 21:45:56

raleur
Membre
Inscription : 03-10-2014

Re : [Résolu] Mise à jour libc6

"4.14.x", ce n'est pas "4.14". Merci d'être précis.

Créer un fichier /usr/local/bin/uname avec le contenu suivant :

#!/bin/sh
case "$1" in
"-r")
echo 4.14.0
;;
*)
/bin/uname $1
esac
 


et le rendre exécutable (chmod +x). Tester avec "uname -r" (devrait renvoyer "4.14.0") et "uname -s" (devrait renvoyer "Linux")

EDIT : correction chemin.

Dernière modification par raleur (12-10-2019 22:06:26)


Il vaut mieux montrer que raconter.

Hors ligne

#9 12-10-2019 21:53:22

vlotho
Membre
Inscription : 01-03-2013

Re : [Résolu] Mise à jour libc6

non pas mieux.
toujours 4.14.x

Hors ligne

#10 12-10-2019 22:06:00

raleur
Membre
Inscription : 03-10-2014

Re : [Résolu] Mise à jour libc6

Mon clavier a fourché, il faut le mettre dans /usr/local/bin, pas /usr/local.

Dernière modification par raleur (12-10-2019 22:08:42)


Il vaut mieux montrer que raconter.

Hors ligne

#11 12-10-2019 22:12:13

vlotho
Membre
Inscription : 01-03-2013

Re : [Résolu] Mise à jour libc6

Merci infiniment, je sais ou je viendrais quand j'aurais un problème tongue
Par contre ça ne va pas poser de problème si je fais une mise à jour du noyaux ?

Hors ligne

#12 12-10-2019 22:17:57

raleur
Membre
Inscription : 03-10-2014

Re : [Résolu] Mise à jour libc6

Si tu n'en as plus besoin tu peux le supprimer (ou le déplacer).

Il vaut mieux montrer que raconter.

Hors ligne

#13 02-02-2022 15:49:46

obergix
Membre
Inscription : 02-02-2022

Re : [Résolu] Mise à jour libc6

Pour info, j'ai eu le même souci, pendant une MAJ dans aptitude, mais la MAJ ne voulait toujours pas passer malgré le script ajouté dans /usr/local/bin.

J'ai quitté aptitude, lancé un nouveau shell (bash), puis installé direct le package libc6 avec dpkg en prenant le chemin du package vernant du cache apt affiché dans le message d'erreur d'aptitude/apt (en l'occurrence,  dpkg -i /var/cache/apt/archives/libc6_2.31-13+deb11u2_amd64.deb).

Et hop le tour est joué.

Note : j'ai modifié le script pour renvoyer 5.4.0 au lieu de 5.4.x puisqu'on en est à cette version actuellement... à vous d'adapter dans le futur si ça se reproduit pour d'aucuns.

Hors ligne

#14 02-02-2022 16:49:41

obergix
Membre
Inscription : 02-02-2022

Re : [Résolu] Mise à jour libc6

Tracé le problème ici, au cas où : https://bugs.debian.org/1004861

Hors ligne

Pied de page des forums